


function [dydt,Eout]=funsys(t,Y);
load CommonParamsCalc.mat  % Params from main FullXO model 
EHx = Y(1); EXa = Y(2); Hx = Y(3); Xa = Y(4); Ua = Y(5);
E = Etot - EHx  - EXa;        % uM, defines free Enzyme 
% SYSTEM OF EQUATIONS involving the enzyme common to reactions 3 and 4  
        dEHx  = kfH*Hx*E  - kbH*EHx   - kpfH*EHx + kpbH*E*Xa;
        dEXa  = kfX*Xa*E  - kbX*EXa   - kpfX*EXa + kpbX*E*Ua;
        dHx   = kbH*EHx   - kfH*Hx*E;
        dXa   = kpfH*EHx  - kpbH*E*Xa + kbX*EXa  - kfX*Xa*E;
        dUa   = kpfX*EXa  - kpbX*E*Ua;          % REVERSIBILITY TO FORM Xa; 
  
        dydt = [dEHx; dEXa; dHx; dXa; dUa;];
        Eout = E;
        