
% Run FullXOmatlab model

close all;
clear all; clc;
format long e
% *****************************************************************************
%                        Hx -> Xa --> Ua REACTIONS: 
% *****************************************************************************
 % PARAMETERS
        kfH   = 100; % 1/(uM*s);      % Forward reaction binding S to E
        KdH   = 2.805; % uM;           % Equil. dissoc. for binding S to E
        kpfH  = 1.799; % 1/s;          % Forward reaction for ES to E + P
        KpH   = 2000; % uM;           % Equil. dissoc. for binding P to E 
        
        kfX   = 100; % 1/(uM*s);      % Forward reaction binding S to E
        KdX   = 4.662; % uM;           % Equil. dissoc. for binding S to E
        kpfX  = 1.938; % 1/s;          % Forward reaction for ES to E + P
        KpX   = 562; % uM;           % Equil. dissoc. for binding P to E 
               
        Etot  = 1.0; % uM;            % Total amount of enzyme = 0.27 mg/ml
                                        % MW = 270,000 Daltons 

   PARMS = [kfH; KdH; kpfH; KpH; kfX;KdX; kpfX; KpX; Etot;];
   Fitness = FullXOmatlab(PARMS);  % Comment this out if want to run Genetic Algo fit
   
   %% RUN GA optimization
   
   % Parameter boundary constraints for GA:  
   %nvars = 9; % number of paramters used
   %LB = [1 0.1 0.1 100 10 0.1 0.1 10 1.0];   % Lower boundary for param values
   %UB = [500 20 20 4000 400 20 20 1000 1.0]; % Upper boundary  "
   %options = gaoptimset('PlotFcn',{@gaplotbestf,@gaplotrange}, ...
   % 'Display','iter');
 
   %[x,fval] = ga(@FullXOmatlab,nvars,[],[],[],[],LB,UB,[],options)